#include <bits/stdc++.h>

#define int long long
using namespace std;

int32_t main(){
    ios_base::sync_with_stdio(0); cin.tie(0);cout.tie(0);
    int n;
    cin >>n;
    vector<int>a(n);
    for (int i=0;i<n;i++) cin >>a[i];

    //pravimo template
    vector<int>t(n, 0);
    int i=0;
    while (i < n-1){
        if (a[i] < a[i+1]){
            for (int x=0;x<i;x++) t[x]=1;

            break;
        }
        i++;
    }


    for (i;i<n-1;i++){
        if(a[i] > a[i+1]) t[i+1]=1;
        //else if (a[i] == a[i+1]) t[i+1]=t[i];
    }
    //vektor prefix niza
    vector<int>pf(n);
    pf[0]=t[0];
    for (int i=1;i<n;i++){
        pf[i]=pf[i-1]+t[i];
    }
    /*
    for (int i=0;i<n;i++) cout <<t[i]<<' ';
    cout <<endl;
    for (int i=0;i<n;i++) cout <<pf[i]<<' ';
    cout <<endl;
    */
    int q, l, r, sum, br_el;
    cin >>q;
    while (q--){
        cin >>l>>r;
        l--;
        r--;
        if (l==0) sum=pf[r];
        else sum = pf[r]-pf[l-1];
        if (sum <=1) cout <<"DA\n";
        else cout <<"NE\n";
    }

    return 0;
}